Package fr.gouv.vitam.common

# Enum Class SystemPropertyUtil.Platform

java.lang.Object
java.lang.Enum<SystemPropertyUtil.Platform>
fr.gouv.vitam.common.SystemPropertyUtil.Platform

All Implemented Interfaces:
  `Serializable`, `Comparable<SystemPropertyUtil.Platform>`, `Constable`

Enclosing class:
  `SystemPropertyUtil`

public static enum SystemPropertyUtil.Platform extends Enum<SystemPropertyUtil.Platform>
Inspired from http://commons.apache.org/lang/api-2.4/org/apache/commons/lang/ SystemUtils.html

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MAC`
  Mac
  `SOLARIS`
  Solaris
  `UNIX`
  Unix
  `UNSUPPORTED`
  Unsupported
  `WINDOWS`
  Windows

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SystemPropertyUtil.Platform`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SystemPropertyUtil.Platform[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WINDOWS

    public static final SystemPropertyUtil.Platform WINDOWS
    Windows

  - ### MAC

    public static final SystemPropertyUtil.Platform MAC
    Mac

  - ### UNIX

    public static final SystemPropertyUtil.Platform UNIX
    Unix

  - ### SOLARIS

    public static final SystemPropertyUtil.Platform SOLARIS
    Solaris

  - ### UNSUPPORTED

    public static final SystemPropertyUtil.Platform UNSUPPORTED
    Unsupported

- ## Method Details

  - ### values

    public static SystemPropertyUtil.Platform[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SystemPropertyUtil.Platform valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null